Package io.dapr.v1

# Interface DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse`, `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder`

Enclosing class:
  DaprAppCallbackProtos

    public static interface DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprAppCallbackProtos.TopicSubscription` | `getSubscriptions​(int index)` | The list of topics.
  `int` | `getSubscriptionsCount()` | The list of topics.
  `java.util.List<DaprAppCallbackProtos.TopicSubscription>` | `getSubscriptionsList()` | The list of topics.
  `DaprAppCallbackProtos.TopicSubscriptionOrBuilder` | `getSubscriptionsOrBuilder​(int index)` | The list of topics.
  `java.util.List<? extends DaprAppCallbackProtos.TopicSubscriptionOrBuilder>` | `getSubscriptionsOrBuilderList()` | The list of topics.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getSubscriptionsList

    java.util.List<DaprAppCallbackProtos.TopicSubscription> getSubscriptionsList()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### getSubscriptions

    DaprAppCallbackProtos.TopicSubscription getSubscriptions​(int index)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### getSubscriptionsCount

    int getSubscriptionsCount()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### getSubscriptionsOrBuilderList

    java.util.List<? extends DaprAppCallbackProtos.TopicSubscriptionOrBuilder> getSubscriptionsOrBuilderList()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### getSubscriptionsOrBuilder

    DaprAppCallbackProtos.TopicSubscriptionOrBuilder getSubscriptionsOrBuilder​(int index)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`